Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.api.model
Class QueryContextImpl

    java.lang.Object
      org.jbpm.services.api.model.QueryContextImpl

All Implemented Interfaces:
  Serializable, org.kie.internal.query.QueryContext

    public class QueryContextImpl

extends Object
implements org.kie.internal.query.QueryContext, Serializable

See Also:
  Serialized Form

Constructor Summary
`QueryContextImpl()`
`QueryContextImpl(Integer offset, Integer count)`
`QueryContextImpl(Integer offset, Integer count, String orderBy, boolean asc)`
`QueryContextImpl(String orderBy, boolean asc)`

Method Summary
`Integer` | `getCount()`
`Integer` | `getOffset()`
`String` | `getOrderBy()`
`Boolean` | `isAscending()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryContextImpl

    public QueryContextImpl()

### QueryContextImpl

    public QueryContextImpl(Integer offset,
                            Integer count)

### QueryContextImpl

    public QueryContextImpl(String orderBy,
                            boolean asc)

### QueryContextImpl

    public QueryContextImpl(Integer offset,
                            Integer count,
                            String orderBy,
                            boolean asc)

Method Detail

### getOffset

    public Integer getOffset()

  Specified by:
    `getOffset` in interface `org.kie.internal.query.QueryContext`

### getCount

    public Integer getCount()

  Specified by:
    `getCount` in interface `org.kie.internal.query.QueryContext`

### getOrderBy

    public String getOrderBy()

  Specified by:
    `getOrderBy` in interface `org.kie.internal.query.QueryContext`

### isAscending

    public Boolean isAscending()

  Specified by:
    `isAscending` in interface `org.kie.internal.query.QueryContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.